import java.io.FileWriter;
import java.io.IOException;
import org.json.simple.JSONObject;
public class ConfigWriter {
    public static void main(String[] args) {
        JSONObject config = new JSONObject();
        
        JSONObject weaponRecoil = new JSONObject();
        weaponRecoil.put("VerticalRecoil", 0.7);
        weaponRecoil.put("HorizontalRecoil", 0.7);
        weaponRecoil.put("QuasiCenterCallbackTime", 0.2);
        weaponRecoil.put("FrontSightPullbackSpeed", 99999);
        
        JSONObject cVars = new JSONObject();
        cVars.put("FirearmsRecoil", 0);
        
        config.put("WeaponRecoil", weaponRecoil);
        config.put("+CVars", cVars);
        
        try (FileWriter file = new FileWriter("config.json")) {
            file.write(config.toJSONString());
            System.out.println("Configuration successfully written to non.java");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
